# Transfer GTokens

Gtoken is a non-fungible utility token used within the Ternoa network, not mineable or tradable with other fungible tokens.

### Prerequisites

Before getting started, make sure you have the following ready:

1. [Create a Ternoa](/getting-started/wallets/ternoa-wallet.md) account with [Alphanet CAPS](broken://pages/ej9gceaLIhCN2PgUBh42)
2. Own a GToken on alphanet created using [Polkadot js portal](https://polkadot.js.org/apps/#/explorer).
3. Install and set up your editor of choice (we will use Visual Studio Code \[VSC] in this tutorial)
4. Install [NodeJS v.14+](https://nodejs.org/en/download/) & NPM
5. [Install & initialize Ternoa-JS](/build-1/javascript/ternoa-js-library-utilities/installation-and-initialization.md)

### How to transfer GTokens to an address

This example shows how to transfer a GToken balance to an address using `assetTransfer`.&#x20;

```typescript
import {
	initializeApi,
	assetTransfer,
	getKeyringFromSeed,
	WaitUntil,
} from "ternoa-js";

const main = async () => {
	try {
		await initializeApi ();

		const keyring = await getKeyringFromSeed("REPLACE_WITH_THE_TRANSACTION_SIGNER_SEED");
		const TO_ADDRESS = "REPLACE_WITH_THE_DEST_ADDRESS";
		const GTOKEN_ID = REPLACE_WITH_THE_GTOKEN_ID
		const amount = REPLACE_WITH_THE_GTOKEN_AMOUNT_TO_TRANSFER
	
		const transferData = await balancesTransfer(
			GTOKEN_ID,
			TO_ADDRESS,
			amount,
			keyring,
			WaitUntil.BlockInclusion
		);
		console.log(
			`The amount transferred to ${TO_ADDRESS} is:`,
			transferData.amountRounded,
			"GTOKENS"
		);
		return transferData
	} catch (e) {
		console.error(e);
		process.exit(1)
	} finally {
		process.exit(0)
	}
};

main();
```

### Support

If you face any trouble, feel free to reach out to our community engineers in our [Discord](https://discord.gg/fUmBkPpnRu).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ternoa.network/build-1/javascript/nft-features-and-pallets/tokens/g-token/transfer-gtokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
